Name:                maven-surefire
Epoch:               0
Version:             2.22.0
Release:             7
Summary:             The test framework project of surefire
License:             ASL 2.0 and CPL
URL:                 http://maven.apache.org/surefire/
BuildArch:           noarch
Source0:             https://github.com/apache/maven-surefire/archive/surefire-%{version}.tar.gz
Source1:             http://junit.sourceforge.net/cpl-v10.html
Patch0000:           0001-Maven-3.patch
Patch0001:           0002-Port-to-current-doxia.patch
Patch0002:           0003-Port-to-TestNG-6.11.patch
Patch0003:           0004-Port-to-current-maven-shared-utils.patch
Patch0004:           0005-Port-to-maven-shared-utils-3.3.3.patch
BuildRequires:       maven-local mvn(com.google.code.findbugs:jsr305) mvn(commons-io:commons-io)
BuildRequires:       mvn(junit:junit) mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:       mvn(org.apache.maven.doxia:doxia-site-renderer) mvn(org.testng:testng::jdk15:)
BuildRequires:       mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:       mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.commons:commons-lang3)
BuildRequires:       mvn(org.apache.maven.plugins:maven-failsafe-plugin) mvn(org.testng:testng)
BuildRequires:       mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:       mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:       mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:       mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:       mvn(org.apache.maven.shared:maven-verifier)
BuildRequires:       mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:       mvn(org.codehaus.mojo:javacc-maven-plugin) mvn(org.codehaus.plexus:plexus-java)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(org.fusesource.jansi:jansi)
BuildRequires:       mvn(org.junit.platform:junit-platform-launcher)
Requires:            procps-ng
%description
This test framework project for surefire.

%package plugin
Summary:             Surefire plugin for maven
%description plugin
This package provides for running tests via the surefire framework.

%package report-plugin
Summary:             Surefire reports plugin for maven
%description report-plugin
The package contains generating reports from surefire test runs.

%package provider-junit
Summary:             JUnit provider for Maven Surefire
%description provider-junit
This package provides for Maven Surefire.

%package provider-junit5
Summary:             JUnit 5 provider for Maven Surefire
%description provider-junit5
This package provides for Maven Surefire.

%package provider-testng
Summary:             TestNG provider for Maven Surefire
%description provider-testng
The package testNG provides for Maven Surefire.

%package report-parser
Summary:             Parses report output files from surefire
%description report-parser
The package provides for parsing report output files from surefire.

%package -n maven-failsafe-plugin
Summary:             Maven plugin for running integration tests
%description -n maven-failsafe-plugin
The package Failsafe Plugin provides to run integration tests while the
Surefire plugins provides to run unit.

%package help
Summary:             Javadoc for maven-surefire
Provides:            maven-surefire-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:           maven-surefire-javadoc < %{epoch}:%{version}-%{release}
%description help
This package provides docs for using maven-surefire.

%prep
%autosetup -n maven-surefire-surefire-%{version} -p1
cp -p %{SOURCE1} .
sed -i /-Xdoclint:all/d pom.xml
%pom_disable_module surefire-shadefire
%pom_remove_dep -r org.apache.maven.surefire:surefire-shadefire
%pom_remove_plugin :maven-help-plugin surefire-setup-integration-tests
%pom_remove_plugin -r :jacoco-maven-plugin
%pom_remove_plugin -r :animal-sniffer-maven-plugin
%pom_remove_plugin -r :apache-rat-plugin
%pom_remove_plugin -r :maven-enforcer-plugin
%pom_remove_plugin :maven-assembly-plugin maven-surefire-plugin
%pom_remove_dep -r ::::site-source
%pom_xpath_set pom:mavenVersion 3.3.3
%pom_remove_dep :maven-project maven-surefire-report-plugin
%pom_remove_dep :maven-project maven-surefire-common
%pom_remove_dep :maven-plugin-descriptor maven-surefire-common
%pom_remove_dep :maven-toolchain maven-surefire-common
%pom_xpath_remove -r "pom:execution[pom:id='shared-logging-generated-sources']"
%pom_add_dep com.google.code.findbugs:jsr305 surefire-api

%build
%mvn_package ":*{surefire-plugin,report-plugin}*" @1
%mvn_package ":*junit-platform*" junit5
%mvn_package ":*{junit,testng,failsafe-plugin,report-parser}*"  @1
%mvn_package ":*tests*" __noinstall
%mvn_build -f -j -G org.fedoraproject.xmvn:xmvn-mojo:javadoc

%install
%mvn_install

%files -f .mfiles
%doc README.md cpl-v10.html

%files plugin -f .mfiles-surefire-plugin

%files report-plugin -f .mfiles-report-plugin

%files report-parser -f .mfiles-report-parser

%files provider-junit -f .mfiles-junit

%files provider-testng -f .mfiles-testng

%files -n maven-failsafe-plugin -f .mfiles-failsafe-plugin

%files provider-junit5 -f .mfiles-junit5

%files help -f .mfiles-javadoc
%doc cpl-v10.html

%changelog
* Thu May 26 2022 yaoxin <yaoxin30@h-partners.com> - 0:2.22.0-7
- maven-surefire compilation fails due to maven-shared-utils update to 3.3.3

* Mon Jun 15 2020 Jeffery.Gao <gaojianxing@huawei.com> - 2.22.0-6
- Package init
